incubator-ace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pa...@apache.org
Subject svn commit: r1125532 - in /incubator/ace/trunk: KEYS check_staged_release.sh
Date Fri, 20 May 2011 20:00:22 GMT
Author: pauls
Date: Fri May 20 20:00:21 2011
New Revision: 1125532

URL: http://svn.apache.org/viewvc?rev=1125532&view=rev
Log:
Add a KEYS and a script for staged release checking.

Added:
    incubator/ace/trunk/KEYS
    incubator/ace/trunk/check_staged_release.sh

Added: incubator/ace/trunk/KEYS
URL: http://svn.apache.org/viewvc/incubator/ace/trunk/KEYS?rev=1125532&view=auto
==============================================================================
--- incubator/ace/trunk/KEYS (added)
+++ incubator/ace/trunk/KEYS Fri May 20 20:00:21 2011
@@ -0,0 +1,71 @@
+pub   1024D/859A7237 2006-12-12
+uid                  Karl Pauls (CODE SIGNING KEY) <pauls@apache.org>
+sub   2048g/1785D5AB 2006-12-12
+
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.2.2 (Darwin)
+
+mQGiBEV+bNURBACfwIa0nQsHXm5eP//fOHJGy9Sfui6HLJkTnD/DDAZZvj8pt9lq
+4e43Ulm09dMRFfFNfMsSbmPJMYmv4+uwkMUVBBh4kaTi0DTB4Y49vhVX5YB5u5lX
+EF178eXUBHC0dVwnLmf3gcMIiyju+rjG5H92vsBCvpsnRJ71ep2bfk9TewCgtWS8
+V+Y6jTRU43ujrehCkgFB/ssD/ibbU2nC4jQ44tIPHEB96GjQqBKdRpDVRr+DF/Be
+jdf6N2mzcuAnlcc3r8kg6GeRYQTg+JpTKk4Ku8q7YwP5YAfFtNxXiTy9lkqTnjzl
+iPbzuN/fodSwQM9PhW+hiZHX5TS7eYg2uHEq2Zx6DxrEkCJGW8QfdhQ1grRLdzvR
+nRebA/9RyqY0IXqwOzY3zAIELJkrnA5v1TvhJp6NAUfeXQZF4xFCrPE6NH5UU3m/
+Qnia+enuDWC5am5Mii1bkEI3BvQI2VZTHmMKhxvtWiK5UnpyCUuKTC2cf7846A4a
+KGjjjRTJNiJ1CWdyIsywqliH0J6+ikxKcZhWxW85IMqVTvUWlbQwS2FybCBQYXVs
+cyAoQ09ERSBTSUdOSU5HIEtFWSkgPHBhdWxzQGFwYWNoZS5vcmc+iGAEExECACAF
+AkV+bNUCGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAKCRCQVII6hZpyN3/yAKCP
+J6ZF+NNB/QL3BUy9c0Adr0DxTwCeKgEfRef/+SgU10hnEwGXB23Bg2e5Ag0ERX5s
+4RAIALnvqkAbnY0YhFQNthtI7rWK9Ag5fS0ca3LcPJfA0CiZyPnYT4Pi6Iq1iiYj
+WiDr0yY0eSKEy0axivD57TePFzV5p3ZDAJlhyxD4AUT9GPI6ufFu6uTppatoTK9y
+SCC2njYew64j1ySgtHVPCNudI/0eIeAu4nRvbJjJcWs00meGEz4H1dnBIbBgivPd
+/fmyIE+QACCs7siufZmoMwjYfR83/xoNVyWJqg93/lWQEbSJDE9wpbdh2U9Dz+4b
+WQFh/UtBzSDHUhGYq4PQXLlHNQdrz8RJ/mpV+blEtwawBsQpF4vsbeHJja+cFBZh
+3TdABI1iMqyOxCxf6aSwDoek198ABAsH/0jtY78wT2Ai3FozWq+ps3SDpGzjn7pa
+rbb7vEWIcO5KYsWrqZnETMSuiPJfj0jeBAYqx3z7jTRdiQfHDUSOQMUizGrSKBOS
+0U7zWQAsbmqf3AfqKEjuxkfWQPsTIMLziRXyR51W2VN5i11zqyJqrZqeG/VJ7TE/
+oa20kO1qXhaTo7q1F7Q+fFpLlPphKxFsSKYgBkwcYfxAvg+yyx1J0nK45PRydwB0
+ZEZDwehZHzHaNcjrRdXuzgrwuO7h+hPH0Sdp5v1bQmY9/E0nH2qA4pwhChagHyLq
+c26PuU9NQN0EGnYxsDK5ZdQCHOOX+0cPubQIlL3b/yKqaLUzwBdguMGISQQYEQIA
+CQUCRX5s4QIbDAAKCRCQVII6hZpyNyOuAJ48gMrb7aZDL/7pyEKc5Igsyx+8BgCg
+iLOPLt/uE758uFLHSLMGV1TUnGE=
+=n6T4
+-----END PGP PUBLIC KEY BLOCK-----
+pub   1024D/C5E9604F 2009-01-28
+uid                  Marcel Offermans (CODE SIGNING KEY) <marrs@apache.org>
+sig 3        C5E9604F 2009-01-28  Marcel Offermans (CODE SIGNING KEY) <marrs@apache.org>
+sub   2048g/4C1A7CD9 2009-01-28
+sig          C5E9604F 2009-01-28  Marcel Offermans (CODE SIGNING KEY) <marrs@apache.org>
+
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.7 (Darwin)
+
+mQGiBEmAuN0RBAC2kuu8b6NX9u3Mxi/KKiL98ARTlhx/mgf79fW6Y5Ao0rSpnH5D
+1Fd+50bSUJhj1YRcheBPQRbsM3trvfUSIjelBKkzKMJVdoZEDdhlC/QL21Mi+Ty7
+vPIZd3aBZmWdJxBvz+OnV4V47QoN2sZcjnd17wLGJW2py6lPG7QYOM01ZwCg590P
+d++jjLIn6pNmQgPyf8ifyQcEAIEjHGQCqUHqv1QHOHaTHrERiPxQgkq6jS1e+miO
+4TsuCW60g2G7cDeG0yHnZ7lQBDTyOSW+K2EW9G0ywONH9cCgevIgB+3moUY0KZEw
+Yz399jUgg10zqwYq4s1DfyUdjXBYHHPIqtrSkFNaMbURzbNvVXi7LTmgeCJOExIX
+X0PjBACR4RQL0vyh3iD1A6QpVnlCyNZ0qxDyoIPJXZw+6RPwoVnHhpGzSQtZwZlX
+Ej9Zbmr6ebV/PkJTIRnRzu094dq7JEG39SNNYuz45J2HQ3AzupZBMg9d1Sra/okO
+INuSC55cSpq6o9B9i01QeqfxI57+5SKCW88ea7d0NR2FQSR6nrQ2TWFyY2VsIE9m
+ZmVybWFucyAoQ09ERSBTSUdOSU5HIEtFWSkgPG1hcnJzQGFwYWNoZS5vcmc+iGAE
+ExECACAFAkmAuN0CGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAKCRB0oh+Txelg
+T1+LAKDE+N75uU5IjCdqGmgEpgLSRIcR1gCePAg0uodCPYPDc/ddt1iHzrD4f325
+Ag0ESYC43RAIAJVQDmTulbVxmFftsFC/MCTM2zOd80Y7eRZCRxAxHmsPNmrcmO66
+XKuen3IC+e+SRaAE0QgafEL8wf7dub/R27QgfV71FjKPAmBhysitrjyE14mwaQn9
+D1hX+2ax1PFaUYTZWvB3JLysIvOFVc6pW81DlPc2dkohL9uHXdrzOzLSZYk8m8pu
+e28cNVn7y1/bT8HXUyh5PLQdmPyX1wK/KrPlsD0oIYZE41jIlq/wSk/uH0rWXxH/
+xKFJqgtS7b0WgUaA9g54ugJGJenetXCvs7J6CooeGLM6tSujg/ljkjRRKNzLdcNa
+sH+yCSR5QgLS574IORzwebwurq2fyJ7OaaMAAwUH/0ul1S3AGw4FK3igfFuQY8N0
+6zMRkJ8b+Jye/XaRrvNuzp7f5fSE1goKiBH41jz4hRMuv3S5O1fHyZ406uR5km5m
+ikAkdysOHkKi8GiVQSE0x2DSiZwO/ZB8L333FEjgmR1UnivWP4j1OzvvDUmIZ2cV
+8tNl3ppGo8XJfBeCS04+nx3Deb8LD7TMvXoT1NsVFowLgSZloXCn333sJgJDBONB
+Ud01j7n/hvnbS0CwWgrTzSvHIHKOu8wCvhTar7OFS8UgFuL3vcyd2Bx2QZwaXNo8
+767ZONftmp01Hjn/Fwk+VmrgVDbHu4HkYUtAAVCfoK9AcoLWuR8VbaCd1WgZ5eSI
+SQQYEQIACQUCSYC43QIbDAAKCRB0oh+TxelgTxjSAKDmztYkhPLphLqIZQrKwXs8
+wi7HtQCgiRx7MJpSerPXTcGzU9ydLRIqhd0=
+=t4iH
+-----END PGP PUBLIC KEY BLOCK-----
+

Added: incubator/ace/trunk/check_staged_release.sh
URL: http://svn.apache.org/viewvc/incubator/ace/trunk/check_staged_release.sh?rev=1125532&view=auto
==============================================================================
--- incubator/ace/trunk/check_staged_release.sh (added)
+++ incubator/ace/trunk/check_staged_release.sh Fri May 20 20:00:21 2011
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+STAGING=${1}
+DOWNLOAD=${2:-/tmp/felix-staging}
+mkdir ${DOWNLOAD} 2>/dev/null
+
+# The following code automatically imports the signing KEYS, but it may actually be
+# better to download them from a key server and/or let the user choose what keys
+# he wants to import.
+#wget --no-check-certificate -P "${DOWNLOAD}" http://svn.apache.org/repos/asf/incubator/ace/KEYS

+#gpg --import "${DOWNLOAD}/KEYS"
+
+if [ -z "${STAGING}" -o ! -d "${DOWNLOAD}" ]
+then
+ echo "Usage: check_staged_release.sh <staging-number> [temp-directory]"
+ exit
+fi
+
+if [ ! -e "${DOWNLOAD}/${STAGING}" ]
+then
+ echo "################################################################################"
+ echo "                           DOWNLOAD STAGED REPOSITORY                           "
+ echo "################################################################################"
+
+ wget \
+  -e "robots=off" --wait 1 -r -np "--reject=html,txt" "--follow-tags=" \
+  -P "${DOWNLOAD}/${STAGING}" -nH "--cut-dirs=3" --ignore-length --no-check-certificate \
+  "http://repository.apache.org/content/repositories/orgapacheace-${STAGING}/org/apache/ace/"
+
+else
+ echo "################################################################################"
+ echo "                       USING EXISTING STAGED REPOSITORY                         "
+ echo "################################################################################"
+ echo "${DOWNLOAD}/${STAGING}"
+fi
+
+echo "################################################################################"
+echo "                          CHECK SIGNATURES AND DIGESTS                          "
+echo "################################################################################"
+
+for i in `find "${DOWNLOAD}/${STAGING}" -type f | grep -v '\.\(asc\|sha1\|md5\)$'`
+do
+ f=`echo $i | sed 's/\.asc$//'`
+ echo "$f"
+ gpg --verify $f.asc 2>/dev/null
+ if [ "$?" = "0" ]; then CHKSUM="GOOD"; else CHKSUM="BAD!!!!!!!!"; fi
+ if [ ! -f "$f.asc" ]; then CHKSUM="----"; fi
+ echo "gpg:  ${CHKSUM}"
+ if [ "`cat $f.md5 2>/dev/null`" = "`openssl md5 < $f 2>/dev/null | sed 's/.*= *//'`"
]; then CHKSUM="GOOD"; else CHKSUM="BAD!!!!!!!!"; fi
+ if [ ! -f "$f.md5" ]; then CHKSUM="----"; fi
+ echo "md5:  ${CHKSUM}"
+ if [ "`cat $f.sha1 2>/dev/null`" = "`openssl sha1 < $f 2>/dev/null | sed 's/.*=
*//'`" ]; then CHKSUM="GOOD"; else CHKSUM="BAD!!!!!!!!"; fi
+ if [ ! -f "$f.sha1" ]; then CHKSUM="----"; fi
+ echo "sha1: ${CHKSUM}"
+done
+
+if [ -z "${CHKSUM}" ]; then echo "WARNING: no files found!"; fi
+
+echo "################################################################################"
+



Mime
View raw message